Subject: [PATCH v2 3/3] soc: ti: Add wkup_m3_ipc driver

From: [email-masked] (Dave Gerlach)
Date: Tue, 4 Aug 2015 15:58:41 -0500

On 07/20/2015 01:16 AM, Tony Lindgren wrote:
> * Dave Gerlach <[email-masked]> [150717 13:59]:
>> +
>> +/* Public functions */
> ...
>> +EXPORT_SYMBOL_GPL(wkup_m3_set_mem_type);
>> +EXPORT_SYMBOL_GPL(wkup_m3_set_resume_address);
>> +EXPORT_SYMBOL_GPL(wkup_m3_request_pm_status);
>> +EXPORT_SYMBOL_GPL(wkup_m3_prepare_low_power);
>> +EXPORT_SYMBOL_GPL(wkup_m3_finish_low_power);
>
> I think you can avoid exporting these SoC specific functions
> by just exporting wkup_m3_request() and wkup_m3_free() type
> functions with a data structure containing the necessary
> function pointers.

Ok thanks for the comment, I can try that change out, I agree it 
probably isn't necessary to export so much.

Regards,
Dave

> Regards,
> Tony